My Project: Collision Struct Reference

My Project

Public Member Functions | Public Attributes | List of all members
Collision Struct Reference

`#include <collision.h>`

## Public Member Functions

| Collision ()
bool | update (const Line &line, float time, const Vector &normal)
bool | sphereCollide (const Line &src_line, float src_radius, const Vector &dest, float dest_radius)
bool | sphereCollide (const Line &line, float radius, const Vector &dest, const Vector &radii)
bool | triangleCollide (const Line &src_line, float src_radius, const Vector &v0, const Vector &v1, const Vector &v2)
bool | boxCollide (const Line &src_line, float src_radius, const Box &box)

## Public Attributes

float | time
Vector | normal
int | surface
int | index

## Constructor & Destructor Documentation

## § Collision()

Collision::Collision | ( |  | ) |

inline

## Member Function Documentation

## § boxCollide()

bool Collision::boxCollide | ( | const Line & | src_line,
|  | float | src_radius,
|  | const Box & | box
| ) |  |

## § sphereCollide() [1/2]

bool Collision::sphereCollide | ( | const Line & | src_line,
|  | float | src_radius,
|  | const Vector & | dest,
|  | float | dest_radius
| ) |  |

## § sphereCollide() [2/2]

bool Collision::sphereCollide | ( | const Line & | line,
|  | float | radius,
|  | const Vector & | dest,
|  | const Vector & | radii
| ) |  |

## § triangleCollide()

bool Collision::triangleCollide | ( | const Line & | src_line,
|  | float | src_radius,
|  | const Vector & | v0,
|  | const Vector & | v1,
|  | const Vector & | v2
| ) |  |

## § update()

bool Collision::update | ( | const Line & | line,
|  | float | time,
|  | const Vector & | normal
| ) |  |

## Member Data Documentation

## § index

int Collision::index

## § normal

Vector Collision::normal

## § surface

int Collision::surface

## § time

float Collision::time

The documentation for this struct was generated from the following files:

- openb3dlib.mod/openb3d/src/collision.h
- openb3dlib.mod/openb3d/src/collision.cpp